package shop.alien.util.webdav;

import org.apache.http.client.methods.HttpEntityEnclosingRequestBase;

import java.net.URI;

/**
 * @author ssk
 * @version 1.0
 * @date 2023/5/30 22:54
 */
public class HttpMkcol extends HttpEntityEnclosingRequestBase {

    public final static String METHOD_NAME = "MKCOL";

    public HttpMkcol() {
        super();
    }

    public HttpMkcol(final URI uri) {
        super();
        setURI(uri);
    }

    /**
     * @throws IllegalArgumentException if the uri is invalid.
     */
    public HttpMkcol(final String uri) {
        super();
        setURI(URI.create(uri));
    }

    @Override
    public String getMethod() {
        return METHOD_NAME;
    }
}
